Index: Makefile
===================================================================
--- Makefile	(revision 7)
+++ Makefile	(working copy)
@@ -31,6 +31,9 @@
 #       2011-03-05  km; revised archive and snapshot rules to exclude version
 #                       control subdirectories in the archive files (since we
 #                       now using Subversion for source control) 
+#       2011-03-10  km; define name of environment variable containing default
+#                       Forth source directory, and pass to compiler.
+#	2011-11-01  km; updated version to 1.5.2p1
 #
 # Possible invocations:
 #
@@ -50,7 +53,8 @@
 # Invoke "make debug" if you want to create an executable
 # that contains debugging information for the GNU debugger (gdb).
 
-VERSION = 1.5.2
+VERSION = 1.5.2p1
+DEF_DIR_VAR=KFORTH_DIR
 BUILD_DATE=`date +%F`
 DEBUG = 
 TARGET_CPU = x86
@@ -64,7 +68,7 @@
 
 CPP = ${GCCDIR}/g++
 CC  = ${GCCDIR}/gcc
-CPPFLAGS = -c -m32
+CPPFLAGS = -c -m32 
 CFLAGS = -c -m32
 FAST = -D__FAST__
 OBJS = kforth.o ForthVM.o ForthCompiler.o vm.o vmc.o
@@ -118,10 +122,12 @@
 	${CPP} ${CPPFLAGS} ${DEBUG} ForthCompiler.cpp
 
 ForthVM.o: ForthVM.cpp ForthVM.h fbc.h ForthCompiler.h kfmacros.h
-	${CPP} ${CPPFLAGS} ${DEBUG} ForthVM.cpp
+	${CPP} ${CPPFLAGS} -DDIR_ENV_VAR=\"${DEF_DIR_VAR}\" \
+        ${DEBUG} ForthVM.cpp
 
 ForthVM-fast.o: ForthVM.cpp ForthVM.h fbc.h ForthCompiler.h kfmacros.h
-	${CPP} ${CPPFLAGS} ${DEBUG} ${FAST} -o ForthVM-fast.o ForthVM.cpp
+	${CPP} ${CPPFLAGS} -DDIR_ENV_VAR=\"${DEF_DIR_VAR}\" \
+        ${DEBUG} ${FAST} -o ForthVM-fast.o ForthVM.cpp
 
 vmc.o: vmc.c kfmacros.h
 	${CC} ${CFLAGS} ${DEBUG} vmc.c
